/*******************************************************************************
**
** Copyright 2013 Sony Corporation
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Lesser General Public
** License, version 2.1, as published by the Free Software Foundation.
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
** Lesser General Public License for more details.
** You should have received a copy of the GNU Lesser General Public
** License along with this library; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
**
*******************************************************************************/
#ifndef FBSTATEINTERFACE_H
#define FBSTATEINTERFACE_H

class FBState{
public:
    virtual void prepareForWriting() = 0;
    virtual void prepareForReading() = 0;
    virtual void prepareForIdle() = 0;    
    virtual int getStateId()=0;
};

#endif // FBSTATEINTERFACE_H
